Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.window
Class JRexTabbedBrowser

    java.lang.Object
      org.mozilla.jrex.window.JRexBaseBrowser
          org.mozilla.jrex.window.JRexTabbedBrowser

All Implemented Interfaces:
  ActionListener, ChangeListener, EventListener

Direct Known Subclasses:
  JRexForceTabbedBrowser

public class JRexTabbedBrowser
extends JRexBaseBrowser
implements ChangeListener, ActionListener

A class implementing the behavior of TAB_MODE in JRexWindowManager.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `JRexWindowManager`

Field Summary

Fields inherited from class org.mozilla.jrex.window.JRexBaseBrowser
`JREXBROWSER, jrexWinListener, rootComponent, rootCreated, rootWindow, screenSize, windowTable`

Constructor Summary
`protected` | `JRexTabbedBrowser()`

Method Summary
`void` | `actionPerformed(ActionEvent ae)`
`int` | `createWindow(int parentPeer, long chromeFlags)`
`void` | `destroyTab(int browserPeer)`
`void` | `destroyWindow(int browserPeer)`
`protected void` | `dressUP(JComponent mainPanel, JRexBrowserData browserData, int mode)`
`void` | `init(JComponent comp)`
`void` | `openNewTab(int parentPeer, String uri, int loadFlags)`
`void` | `openNewWindow(int parentPeer, String uri, int loadFlags)`
`void` | `setTitle(int browserPeer, String title)`
`void` | `stateChanged(ChangeEvent e)`

Methods inherited from class org.mozilla.jrex.window.JRexBaseBrowser
`addJRexWindowListener, addWindow, destroyWindowInternal, dispose, getBrowser, getBrowserData, getBrowserForParent, getBrowserForRootParent, getBrowserForWindow, getBrowserParent, getBrowserRootParent, getBrowserWindow, makeDialog, removeJRexWindowListener, removeWindow, setChromeFlags, setModal, setRealized, setSize, setupBrowser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRexTabbedBrowser

    protected JRexTabbedBrowser()

Method Detail

### init

    public void init(JComponent comp)

  Overrides:
    `init` in class `JRexBaseBrowser`

### dressUP

    protected void dressUP(JComponent mainPanel,
                           JRexBrowserData browserData,
                           int mode)

  Overrides:
    `dressUP` in class `JRexBaseBrowser`

### openNewWindow

    public void openNewWindow(int parentPeer,
                              String uri,
                              int loadFlags)

  Overrides:
    `openNewWindow` in class `JRexBaseBrowser`

### openNewTab

    public void openNewTab(int parentPeer,
                           String uri,
                           int loadFlags)

  Overrides:
    `openNewTab` in class `JRexBaseBrowser`

### createWindow

    public int createWindow(int parentPeer,
                            long chromeFlags)

  Overrides:
    `createWindow` in class `JRexBaseBrowser`

### setTitle

    public void setTitle(int browserPeer,
                         String title)

  Overrides:
    `setTitle` in class `JRexBaseBrowser`

### destroyWindow

    public void destroyWindow(int browserPeer)

  Overrides:
    `destroyWindow` in class `JRexBaseBrowser`

### destroyTab

    public void destroyTab(int browserPeer)

  Overrides:
    `destroyTab` in class `JRexBaseBrowser`

### stateChanged

    public void stateChanged(ChangeEvent e)

  Specified by:
    `stateChanged` in interface `ChangeListener`

### actionPerformed

    public void actionPerformed(ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.